<?php
/* Test cookies on a PHP-enabled server */


// Init
$cookie_life = 7200; // 2 hours
$cookie_path = '';   // Leave blank


// Set cookie
if ($_GET['status'] == 'set') {
	setcookie ('testcookie', 'testvalue', time() + $cookie_life, $cookie_path);
	exit("Cookie set.  <a href=\"{$_SERVER['PHP_SELF']}\">Click here to test it</a>.");
}

// Remove cookie
if ($_GET['status'] == 'kill') {
	setcookie ('testcookie', 'testvalue', time() - $cookie_life, $cookie_path);
	exit("Cookie removed.  <strong>End of test!</strong>  <a href=\"{$_SERVER['PHP_SELF']}\">Click here to refresh</a>.");
}

// Detect cookie
if (!isset ($_COOKIE['testcookie'])) {
	exit ("Cookie not found.  <a href=\"{$_SERVER['PHP_SELF']}?status=set\">Click here to set it</a>.");
} else {
	exit ("Cookie detected properly!  <a href=\"{$_SERVER['PHP_SELF']}?status=kill\">Click here to remove it</a>.");
}